Subject: bug#22814: 25.0.91; Emacs runs out of file descriptors on OS X

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Mar 2016 18:01:51 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 02 Mar 2016 16:03:29 +0100
> 
> > Crystal ball says something went wrong inside read_doc_string that was
> > called just before the call to 'error'.  That function calls
> > emacs_open, and you have run out file descriptors.  Can you see what's
> > going on inside that call?  (That would require re-running the test
> > with a suitably conditioned breakpoint.)
> 
> Indeed, Emacs tries to read the docstring of the just fetched
> function. And it tries to open etc/DOC for this, which fails due to the
> missing file descriptor availability.
> 
> I don't believe we need to handle this case; if Emacs is running out of
> file descriptors, anything could happen.

The only part that might be worth improving is the error message: it's
a far cry from what really went wrong.  If you can find a way of
making it say something about "too many open files", that'd be all the
improvement we can hope for.

> I'm testing a patch for kqueue.c, which limits the open file
> notification descriptors, as proposed by Anders. According to my tests
> this is not necessary for inotify.c (contrary to what I've assumed).
> Will commit the patch once the current emacs-25 commits are merged to
> the master.

Thanks.